"""
RAZE Python Libraries
Raze is a free collection of Python modules intended as an extension to the 
standard Python libraries.

 * coalesce - Utilities for finding the first available item in a given namespace or sequence.
 * container - Extended container types and utilities. 
 * enumeration - Enumeration type and base class. 
 * func - Function utils and functional programming tools. 
 * import_ - Delayed import for combatting circular dependencies. 
 * logging_ - Extensions to the standard logging module. 
 * misc - Miscellaneous helper classes and functions. 
 * namestyle - Convert identifier names between conventions. 
 * password - Password generation and strength testing. 
 * phonetic - NATO phonetic alphabet utilities.
 * singleton - Enforced singleton pattern. 
 * test - Bootstrapping function for running Raze doctests. 
 * threading_ - Extensions to the standard threading module. 
 * transform - Multi-step transformations of multiple values. 
 * visitor - Semi-automated visitor pattern. 
 * weakprop - Descriptor that stores it's attribute using a weakref.ref.
 * net - Networking support classes.

RAZE - Copyright (c) 2006 James Harris, Erin Houston
$Id: __init__.py 258 2006-11-23 01:40:07Z james $
"""
__version__   = "1.1.0"
__revision__  = "$Revision: 258 $"
__location__  = "$URL: http://icecave.svn.net.au/dav/lib/raze/tags/raze-1.1.0/raze/__init__.py $"
